Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366569 - glibc: default nsswitch.conf should not set initgroups
Summary: glibc: default nsswitch.conf should not set initgroups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Florian Weimer
QA Contact: Sergey Kolosov
Aneta Šteflová Petrová
URL:
Whiteboard:
: 1368973 (view as bug list)
Depends On: 751450
Blocks: 1304992 1368973 1388638
TreeView+ depends on / blocked
 
Reported: 2016-08-12 10:55 UTC by Sudhir Menon
Modified: 2017-08-01 18:06 UTC (History)
17 users (show)

Fixed In Version: glibc-2.17-158.el7
Doc Type: Known Issue
Doc Text:
Machines joined to a realm are not able to resolve centrally managed supplementary groups Installing an Identity Management (IdM) server or client does not add the `sss` option to the `initgroups` lookup entry in the `/etc/nsswitch.conf` file. As a consequence, looking up secondary groups for users managed by SSSD does not work as expected. As a work around, remove or comment out the line starting with `initgroups` in the `/etc/nsswitch.conf` file before the installation. This ensures that machines joined to the realm resolve centrally managed supplementary groups as expected.
Clone Of:
: 1371879 1388638 (view as bug list)
Environment:
Last Closed: 2017-08-01 18:06:55 UTC


Attachments (Terms of Use)
Workaround patch for authconfig (deleted)
2016-08-31 10:32 UTC, Tomas Mraz
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1916 normal SHIPPED_LIVE Moderate: glibc security, bug fix, and enhancement update 2017-08-01 18:05:43 UTC
Red Hat Bugzilla 1425758 None None None 2019-04-09 13:33:06 UTC

Internal Links: 1425758

Description Sudhir Menon 2016-08-12 10:55:23 UTC
Description of problem: ipa server/client install doesnot update initgroups with sss in nssswitch.conf file.

Version-Release number of selected component (if applicable):

[root@ipaserver ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.3 Beta (Maipo)

ipa-server-4.4.0-7.el7.x86_64
sssd-1.14.0-18.el7.x86_64

How reproducible: Always


Steps to Reproduce:
1. Install RHEL7.3
2. Check the nssswitch.conf file for the below entry

[root@ipaserver yum.repos.d]# grep initgroups /etc/nsswitch.conf
initgroups: files

3. Install ipa-server and check the nssswitch.conf file.

passwd:     files sss
shadow:     files sss
group:      files sss
services:   files sss
netgroup:   nisplus sss
sudoers: files sss

Actual results: 
initgroups looksup only on files.
initgroups: files

grep authconfig /var/log/ipaclient-install.log 
2016-08-12T10:34:19Z DEBUG args=/usr/sbin/authconfig --enablesssdauth --update --enablesssd
2016-08-12T10:34:25Z DEBUG args=/usr/sbin/authconfig --update --nisdomain redlabs.qe

Expected results:
initgroups should also lookup sss
initgroups: files sss

Additional info:

Comment 3 Tomas Mraz 2016-08-12 11:23:52 UTC
This is a complex issue and probably a minor regression caused by fix for bug 1329508.

Authconfig when writing nsswitch.conf actually comments out the initgroups entry because just placing the sssd into it modifies the behaviour (or at least that was originally the case) that was expected by users and applications (see bug 751450).

So I believe proper fix for this bug is to comment out the initgroups entry in default nsswitch.conf configuration.

There is no fix for this problem in authconfig apart from reverting the fix for bug 1329508 - however I do not think this is a proper solution.

Comment 17 Jakub Hrozek 2016-08-29 14:22:33 UTC
Setting priority and severity to high/high.

In my opinion, this bug should be fixed in 7.3, because otherwise a domain member is not able to resolve supplementary groups, which is really a basic functionality.

Whether the fix comes in libc by removing the default initgroups line or in authconfig by changing the way nsswith.conf is generated is a detail from my point of view. But the case of installing a system and joining it to a domain with ipa-client-install is something we must fix.

Comment 18 Lukas Slebodnik 2016-08-29 15:32:21 UTC
BTW what will be a difference from glibc point of view between "removing default initgroups line" and adding sss to initgroups by default. "sss" is already a default for passwd and groups. But I know that initgrous is a little bit special case.

Comment 19 Tomas Mraz 2016-08-31 10:32:30 UTC
Created attachment 1196301 [details]
Workaround patch for authconfig

Comment 20 Martin Bašti 2016-08-31 12:56:33 UTC
*** Bug 1368973 has been marked as a duplicate of this bug. ***

Comment 29 errata-xmlrpc 2017-08-01 18:06:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1916


Note You need to log in before you can comment on or make changes to this bug.